Subject: RE: pwd problems
From: "Molitor, Stephen" <[email-masked]>
To: "'Craveiro, Marco'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 10 May 2001 07:47:27 -0500

Marco,

Thanks for the tip.  It helped a bit, I guess, but I still have 
the same basic problem.  Here's a new session:

[administrator@NDEV04C steve]$ echo $PS1
[\u@\h \W]$
[administrator@NDEV04C steve]$ cd ..
[administrator@NDEV04C ..]$ cd steve
[administrator@NDEV04C steve]$ cd ..
[administrator@NDEV04C ..]$ cd steve
[administrator@NDEV04C steve]$ pwd
/cygdrive/d/home/steve/../steve/../steve/../steve/../steve
[administrator@NDEV04C steve]$

As you can see, pwd displays the whole history of how I got to the cwd.  
So I don't think it's a prompt string problem; something is weird with pwd.

Hmmm.....

Steve Molitor
[email-masked]

-----Original Message-----
From: Craveiro, Marco [mailto:[email-masked]]
Sent: Thursday, May 10, 2001 3:03 AM
To: Molitor, Stephen
Subject: RE: pwd problems

Hello Stephen,

How is your PS1 setup? Mine uses \W and it works fine... Try changing your
.profile to something
like:

PS1="[\u@\h \W]$ "

Marco

> -----Original Message-----
> From:	Molitor, Stephen [SMTP:[email-masked]]
> Sent:	Wednesday, May 09, 2001 5:35 PM
> To:	[email-masked]'
> Subject:	pwd problems
> 
> I just installed the latest version of Cygwin.  I have a 
> strange problem with pwd -- instead of just showing the current 
> directory, it shows how I cd'd there, with '..' and stuff.  
> Here's an example, that I pasted from a bash session:
> 
> administrator@NDEV04C ~
> $ pwd
> /cygdrive/d/home/steve
> 
> administrator@NDEV04C ~
> $ cd ..
> 
> administrator@NDEV04C ~/..
> $ cd steve
> 
> administrator@NDEV04C ~/../steve
> $ cd ..
> 
> administrator@NDEV04C ~/../steve/..
> $ cd steve
> 
> administrator@NDEV04C ~/../steve/../steve
> $ cd ..
> 
> administrator@NDEV04C ~/../steve/../steve/..
> $ cd steve
> 
> administrator@NDEV04C ~/../steve/../steve/../steve
> $ pwd
> /cygdrive/d/home/steve/../steve/../steve/../steve
> 
> administrator@NDEV04C ~/../steve/../steve/../steve
> $
> 
> Curiously, this problem does not occur if I'm underneath the root ('/')
> directory.
> 
> Any help would be appreciated!
> 
> Steve Molitor
> [email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple